Page MenuHomeFreeBSD

tpm2-tss
ClosedPublic

Authored by tstruk_gmail.com on Mar 7 2022, 1:32 AM.

Details

Summary

Update tpm2-tss to v3.2.0.
Add explicit openssl v1.1.1 dependency.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tstruk_gmail.com created this revision.
This revision is now accepted and ready to land.Mar 8 2022, 4:21 AM
ygy requested changes to this revision.Mar 8 2022, 4:49 AM

Hi @tadeusz.struk_intel.com! I just noticed that the email that you currently use is different from the maintainer field. While I understand that they may both belong to you, following the rules we need the maintainer field to match the submitter's email on file.

In the short term, what you can do is to use the original (personal gmail) mail to register an account here and signal your approval for me to proceed. In the long term, you should either switch back to using your personal gmail to submit changes, or have the maintainer field changed to your current email address (note: this still needs to come from your personal gmail, or have received explicit approval from your personal gmail account).

https://reviews.freebsd.org/D34463 will be blocked as well for similar reasons.

CC: @lwhsu

This revision now requires changes to proceed.Mar 8 2022, 4:49 AM

Hi @ygy
The tstruk@gmail.com is my personal email. The email address @intel.com is no longer valid. I will register a new account and approve the reviews.
Thanks for your feedback

@ygy @lwhsu the problem is that the account tadeusz.struk_intel.com is registered with my tstruk@gmail.com. As far as I can remember it was setup by @lwhsu.
I can not change it now because it says: "You can not change usernames because you are not an administrator. Only administrators can change usernames."
Could one of you change tadeusz.struk_intel.com to tadeusz.struk or tstruk please?

@lwhsu could you help updating @tadeusz.struk_intel.com 's account? I will be able to commit afterwards.

In D34462#781385, @ygy wrote:

@lwhsu could you help updating @tadeusz.struk_intel.com 's account? I will be able to commit afterwards.

Done. @tstruk_gmail.com , please note that you may need to change the email in your personal settings yourself.

Done. @tstruk_gmail.com , please note that you may need to change the email in your personal settings yourself.

Thank you @lwhsu.

@ygy All should be good now. Do you still need a new revision?

@tstruk_gmail.com No, this would do. Thanks for the clarification and thanks @lwhsu for the help, I will handle it shortly.

This revision is now accepted and ready to land.Mar 9 2022, 7:31 AM
This revision was automatically updated to reflect the committed changes.
jlduran_gmail.com added inline comments.
security/tpm2-tss/Makefile
13

This run-time dependency on security/openssl, is there any particular reason why not to use in-base's libssl, which is also v1.1.1 at the moment?

tstruk_gmail.com added inline comments.
security/tpm2-tss/Makefile
13

This run-time dependency on security/openssl, is there any particular reason why not to use in-base's libssl, which is also v1.1.1 at the moment?

That has been already removed with this commit:
https://cgit.freebsd.org/ports/commit/security/tpm2-tss/Makefile?id=aca6f9b18e874c73ac68990a2439ccec0be66ef0

security/tpm2-tss/Makefile
13

Oh! Sorry... Thank you!